Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portletservice.credentialvault
Interface VaultSegmentConfig

Deprecated. since 6.0. Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public interface VaultSegmentConfig

Describes the configuration of a Vault Segment. This interface is used to return information on available Credential Vault Segments. Use the `CredentialVaultService` to retrieve such information.

Since:
  5.1.0.1

Method Summary
`java.lang.String` | `getDescription()` Deprecated. Returns the Description of this Vault Segment.
`java.lang.String` | `getName()` Deprecated. Returns the name of this Vault Segment.
`ObjectID` | `getPortalObjectID()` Deprecated. Returns the `com.ibm.portal.ObjectID` of this Vault Segment.
`int[]` | `getSupportedSecretTypes()` Deprecated. Returns an array of integers of the supported Secret Types for this segment.
`java.lang.String` | `getVaultAdapterType()` Deprecated. Returns the Adapter Type for this Vault Segment.
`boolean` | `isUserMapped()` Deprecated. Returns whether this Vault Segment is user mapped or not.

Method Detail

### getName

    java.lang.String getName()

  Deprecated.
  Returns the name of this Vault Segment.

  Returns:
    name of this Vault Segment

### getPortalObjectID

    ObjectID getPortalObjectID()

  Deprecated.
  Returns the `com.ibm.portal.ObjectID` of this Vault Segment.

  Returns:
    ObjectID of this Vault Segment

### getDescription

    java.lang.String getDescription()

  Deprecated.
  Returns the Description of this Vault Segment.

  Returns:
    Description of this VaultSegment

### isUserMapped

    boolean isUserMapped()

  Deprecated.
  Returns whether this Vault Segment is user mapped or not.

  Returns:
    `true` if this Vault Segment is user mapped, `false` otherwise.

### getVaultAdapterType

    java.lang.String getVaultAdapterType()

  Deprecated.
  Returns the Adapter Type for this Vault Segment.

  Returns:
    Vault Adapter Type for this Segment

### getSupportedSecretTypes

    int[] getSupportedSecretTypes()

  Deprecated.
  Returns an array of integers of the supported Secret Types for this segment. Credential Information is identified by Secret Types, and are defined as constants in the portlet service class `CredentialVaultService`. Vaults may only support a subset of all available Secret Types, so this method returns the supported Secret Types for this segment.

  Returns:
    an array of supported secret types as integer values
  See Also:
    `CredentialVaultService`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD